#include <stdio.h>
#include <stdarg.h>

#include "icfp.h"

/* All code is placed under the GNU GPL (www.gnu.org) */

int main(int argc, char *argv[]) {

  ProcessCmdArguments(argc,argv);
  
  debug("hostname: %s\nport: %d\n",server_hostname,server_port);
  ConnectToServer();
  InitialiseGame();
  PlayGame();
  
  /* Close connection */
  close(ssocket);
  return 0;

}

int debug(const char *fmt, ...) {
        int d;
        va_list args;

        va_start(args, fmt);
        if (DEBUG) {
                d = vfprintf(stdout,fmt,args);
                va_end(args);

                return d;
        }
        va_end(args);

        return 0;
}
